Gtk2::CellRendererAccel(3)

NAME
Gtk2::CellRendererAccel - wrapper for GtkCellRendererAccel

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererText
                      +----Gtk2::CellRendererAccel

METHODS

  cellrenderer = Gtk2::CellRendererAccel->new

PROPERTIES

'accel-key' (Glib::UInt : default 0 : readable / writable / private / static-nick / static-blurb)
    The keyval of the accelerator

'accel-mode' (Gtk2::CellRendererAccelMode : default "gtk" : readable / writable / private / static-nick / static-blurb)
    The type of accelerators

'accel-mods' (Gtk2::Gdk::ModifierType : default  : readable / writable / private / static-nick / static-blurb)
    The modifier mask of the accelerator

'keycode' (Glib::UInt : default 0 : readable / writable / private / static-nick / static-blurb)
    The hardware keycode of the accelerator

SIGNALS

accel-cleared (Gtk2::CellRendererAccel, string)
accel-edited (Gtk2::CellRendererAccel, string, Glib::UInt, Gtk2::Gdk::ModifierType, Glib::UInt)

ENUMS AND FLAGS

  enum Gtk2::CellRendererAccelMode

•   'gtk' / 'GTK_CELL_RENDERER_ACCEL_MODE_GTK'

•   'other' / 'GTK_CELL_RENDERER_ACCEL_MODE_OTHER'

  flags Gtk2::Gdk::ModifierType

•   'shift-mask' / 'GDK_SHIFT_MASK'

•   'lock-mask' / 'GDK_LOCK_MASK'

•   'control-mask' / 'GDK_CONTROL_MASK'

•   'mod1-mask' / 'GDK_MOD1_MASK'

•   'mod2-mask' / 'GDK_MOD2_MASK'

•   'mod3-mask' / 'GDK_MOD3_MASK'

•   'mod4-mask' / 'GDK_MOD4_MASK'

•   'mod5-mask' / 'GDK_MOD5_MASK'

•   'button1-mask' / 'GDK_BUTTON1_MASK'

•   'button2-mask' / 'GDK_BUTTON2_MASK'

•   'button3-mask' / 'GDK_BUTTON3_MASK'

•   'button4-mask' / 'GDK_BUTTON4_MASK'

•   'button5-mask' / 'GDK_BUTTON5_MASK'

•   'super-mask' / 'GDK_SUPER_MASK'

•   'hyper-mask' / 'GDK_HYPER_MASK'

•   'meta-mask' / 'GDK_META_MASK'

•   'release-mask' / 'GDK_RELEASE_MASK'

•   'modifier-mask' / 'GDK_MODIFIER_MASK'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer, Gtk2::CellRendererText

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.